<?php
	// Init log file
	$new_file = fopen("aaa-server-output.log", "w") ;				
	$message = "****************** SERVER OUTPUT *********************************\n\n" ;
	fwrite($new_file, $message);
	
	// Helper function
	function logData($array) {
		global $new_file ;
		$keys = array_keys($array) ;
		// fwrite($new_file, "Loggin array with ".count($keys)." elements.\n") ;
		for ($n = 0 ; $n < count($keys) ; $n++) {
			fwrite($new_file, $keys[$n]." -> ".$array[$keys[$n]]."\n");
		}
		fwrite($new_file, "\n") ;
	}

	// LOGGING HEADERS LIST
	fwrite($new_file, "HEADERS LIST:\n") ;
	$headers =  headers_list() ;
	for ($n = 0 ; $n < count($headers) ; $n++) {
		fwrite($new_file, $n." -> ".$headers[$n]."\n");
	}
	fwrite($new_file, "\n") ;
	
	// LOGGING HTTP HEADERS
	fwrite($new_file, "HTTP HEADERS:\n") ;
	logData( getallheaders() ) ;
	
	// LOGGING REQUEST DATA
	fwrite($new_file, "REQUEST DATA:\n") ;
	logData($_REQUEST) ;
	
	// LOGGING REQUEST DATA
	fwrite($new_file, "POST DATA:\n") ;
	logData($_POST) ;
	
	// LOGGING INPUT DATA
	fwrite($new_file, "INPUT DATA:\n") ;
	$input = file_get_contents('php://input', true);
	fwrite($new_file, $input) ;
	
	// LOGGING JSON DATA
	include_once('my_encoder_decoder.php') ;
	fwrite($new_file, "\n\nJSON DATA:\n") ;
	if ( (isset($input)) && (strlen($input) > 0) ) {
		fwrite($new_file, "Rough data  : $input\n") ;
		$parsed = my_json_decode($input, true) ;
		// Parsing JSON signature submitted by "hello_csv_to_rest" Mule project
		fwrite($new_file, "Name -> ".$parsed->{"name"}."\n") ;
		fwrite($new_file, "Surname -> ".$parsed->{"surname"}."\n") ;
		fwrite($new_file, "Age -> ".$parsed->{"age"}."\n") ;
	} ;
	
	// LOGGING SERVER DATA
	// fwrite($new_file, "SERVER DATA:\n") ;
	// logData($_SERVER) ;

	// Closing file
	fclose($new_file) ;
?>